Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class SelectElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.SelectElement

public class SelectElement
extends MultiPartElement

A SelectElement object is analogous to an HTML select set used in a form for capturing user choices from a multi-item dropdown-type combo box.

A SelectElement can be populated by query results in a dbKona DataSet. A SelectElement may also be populated by adding OptionElement objects with the addElement() method.

Author:
  Copyright (c) 1995-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `OptionElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`SelectElement(java.lang.String str)` Constructs a SelectElement by the specified name.
`SelectElement(java.lang.String str, DataSet ds)` Constructs a SelectElement by the specified name and populates it with data from a weblogic.db.jdbc.dbKona DataSet.

Method Summary
`SelectElement` | `addElement(OptionElement val)` Adds an OptionElement to a SelectElement.
`SelectElement` | `addElement(java.lang.String val)` Adds a string selection to a SelectElement.
`SelectElement` | `addElement(java.lang.String text, java.lang.String val)` Adds a string selection and an associated value to a SelectElement.
`OptionElement` | `getElementAt(int pos)` Gets the OptionElement at the specified index position.
`protected java.lang.String` | `getHtmlCode()`
`boolean` | `hasElementbyText(java.lang.String val)` Determines whether the specified text exists in a SelectElement.
`boolean` | `hasElementbyValue(java.lang.String val)` Determines whether the specified value exists in a SelectElement.
`protected boolean` | `printCR()`
`SelectElement` | `selectElementByText(java.lang.String val)` Selects the specified text in a SelectElement.
`SelectElement` | `selectElementByValue(java.lang.String val)` Selects the specified value in a SelectElement.
`SelectElement` | `setMultipleSelect()` Sets a SelectElement to allow multiple selections.
`SelectElement` | `setMultipleSelect(boolean multiple)` Sets the MULTIPLE attribute to the specified boolean.
`SelectElement` | `setName(java.lang.String val)` Sets the name of a SelectElement.
`SelectElement` | `setOnBlur(java.lang.String val)` Sets the ONBLUR attribute.
`SelectElement` | `setOnChange(java.lang.String val)` Sets the ONCHANGE attribute.
`SelectElement` | `setOnFocus(java.lang.String val)` Sets the ONFOCUS attribute.
`SelectElement` | `setSingleSelect()` Sets a SelectElement to allow only one selection.
`SelectElement` | `setSize(int val)` Sets the size of a SelectElement.
`SelectElement` | `setTabindex(int tabindex)` Sets the tabbing order for a SelectElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard.
`SelectElement` | `setTabindex(java.lang.String tabindex)` Sets the TABINDEX attribute for a SelectElement.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectElement

    public SelectElement(java.lang.String str)

  Constructs a SelectElement by the specified name.

  Parameters:
    `str` - Name of the SelectElement

### SelectElement

    public SelectElement(java.lang.String str,
                         DataSet ds)
                  throws java.sql.SQLException,
                         DataSetException

  Constructs a SelectElement by the specified name and populates it with data from a weblogic.db.jdbc.dbKona DataSet.

  Parameters:
    `str` - Name of the SelectElement
    `ds` - weblogic.db.jdbc.DataSet
  Throws:
    java.sql.SQLException - if there is a SQL error
    DataSetException - if there is an error in the DataSet

Method Detail

### setSize

    public SelectElement setSize(int val)

  Sets the size of a SelectElement.

  Parameters:
    `val` - Size (number of selections)
  Returns:
    SelectElement object

### setName

    public SelectElement setName(java.lang.String val)

  Sets the name of a SelectElement.

  Parameters:
    `val` - Name
  Returns:
    SelectElement object

### setMultipleSelect

    public SelectElement setMultipleSelect(boolean multiple)

  Sets the MULTIPLE attribute to the specified boolean.

  Parameters:
    `multiple` - True if multiple selections are allowed
  Returns:
    SelectElement object

### setMultipleSelect

    public SelectElement setMultipleSelect()

  Sets a SelectElement to allow multiple selections.

  Returns:
    SelectElement object

### setSingleSelect

    public SelectElement setSingleSelect()

  Sets a SelectElement to allow only one selection.

  Returns:
    SelectElement object

### setTabindex

    public SelectElement setTabindex(java.lang.String tabindex)

  Sets the TABINDEX attribute for a SelectElement. The tabindex attribute determines the tabbing order of selectable or clickable elements on a page.

  Parameters:
    `tabindex` - Index
  Returns:
    AnchorElement object

### setTabindex

    public SelectElement setTabindex(int tabindex)

  Sets the tabbing order for a SelectElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard. This may be a positive or negative integer. Elements that are assigned the same tab index will be navigated in order of appearance on the page.

  Parameters:
    `tabindex` - int
  Returns:
    SelectElement

### setOnFocus

    public SelectElement setOnFocus(java.lang.String val)

  Sets the ONFOCUS attribute.

  Parameters:
    `val` - String
  Returns:
    SelectElement object

### setOnBlur

    public SelectElement setOnBlur(java.lang.String val)

  Sets the ONBLUR attribute.

  Parameters:
    `val` - String
  Returns:
    SelectElement object

### setOnChange

    public SelectElement setOnChange(java.lang.String val)

  Sets the ONCHANGE attribute.

  Parameters:
    `val` - String
  Returns:
    SelectElement object

### addElement

    public SelectElement addElement(java.lang.String val)

  Adds a string selection to a SelectElement.

  Parameters:
    `val` - String
  Returns:
    SelectElement object

### addElement

    public SelectElement addElement(java.lang.String text,
                                    java.lang.String val)

  Adds a string selection and an associated value to a SelectElement.

  Parameters:
    `text` - String
    `val` - Value
  Returns:
    SelectElement object

### addElement

    public SelectElement addElement(OptionElement val)

  Adds an OptionElement to a SelectElement.

  Parameters:
    `val` - OptionElement
  Returns:
    SelectElement object

### getElementAt

    public OptionElement getElementAt(int pos)

  Gets the OptionElement at the specified index position.

  Parameters:
    `pos` - Index position
  Returns:
    OptionElement object

### hasElementbyValue

    public boolean hasElementbyValue(java.lang.String val)

  Determines whether the specified value exists in a SelectElement.

  Parameters:
    `val` - String for comparison
  Returns:
    True if it exists

### hasElementbyText

    public boolean hasElementbyText(java.lang.String val)

  Determines whether the specified text exists in a SelectElement.

  Parameters:
    `val` - String for comparison
  Returns:
    True if it exists

### selectElementByText

    public SelectElement selectElementByText(java.lang.String val)

  Selects the specified text in a SelectElement.

  Parameters:
    `val` - String for comparison
  Returns:
    SelectElement object

### selectElementByValue

    public SelectElement selectElementByValue(java.lang.String val)

  Selects the specified value in a SelectElement.

  Parameters:
    `val` - String for comparison
  Returns:
    SelectElement object

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Overrides:
    printCR in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD